@import (once) "../theme";

.forum-preview {
  font-weight: bold; font-size: 1.1em; padding: 10px; border-radius: 10px; margin: 10px;
  background: url("../../img/forum/forum.png") top center repeat-x; cursor: pointer;
  box-shadow: 0 0 10px rgba(0,0,0,0.5); background-position-y: -2px; border: 2px solid #7e4d2b;
  transition: border-color 0.5s ease-in-out, box-shadow 0.25s ease-in-out;

  &:hover { border-color: @myhordes-smalltext; box-shadow: 0 0 10px rgba(0,0,0,0.8); }

  &:not(.forum-preview-town) {
    background: linear-gradient(45deg,  #7e4d2b 65%, #a73a1f 80%), url("../../img/forum/forum.png") top center repeat-x; /* FF3.6-15 */

    &::after {
      content: ''; background: transparent url('../../img/forum/globe.png') 50% / contain no-repeat;
      line-height: 26px; width: 26px; height: 26px; margin-right: 1em; float: right;
    }
  }
}

@myhordes-forum-button-color:  #a2321a;
@myhordes-forum-button-border: #c33720;
@myhordes-forum-disabled-button-color:  grey;
@myhordes-forum-disabled-button-border: grey;

.forum-content-format() {
  b, strong { color: #afb3cf; text-transform: initial; opacity: .8; }
  i, em { color: #f0d79e; opacity: .7; }
  s, strike, del { opacity: .8; }
  span.bad { color: #ff4111; }

  hr { border-color: @myhordes-smalltext }

  img { max-height: 480px; max-width: 100%; height: auto !important; width: auto !important; }

  span.quoteauthor {
    font-weight: bold;
    margin-left: 40px;
    font-size: 1.25rem;
    + blockquote {
      margin-top: 0;
    }
  }

  blockquote {
    font-style: italic; border-color: rgba(0,0,0,.6); border-style: dashed; border-width: 0 0 1px 1px;
    padding-left: 10px; font-size: .875em; opacity: .7;
  }

  .spoiler {
    background-image: linear-gradient(-45deg, #0006 25%, #fff0 25%, #fff0 50%, #0006 50%, #0006 75%, #fff0 75%, #fff0 100%);
    background-size: 12.63px 12.63px;
    &:not(:hover) { color: transparent; &>* { visibility: hidden; } }
    &:hover {
      background-image: linear-gradient(-45deg, #0003 25%, #fff0 25%, #fff0 50%, #0003 50%, #0003 75%, #fff0 75%, #fff0 100%);
      &>* { visibility: visible; }
    }
  }

  .sideNote {
    display: block; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;
    font-size: 1.1rem; font-style: italic;
  }

  .glory {
    clear: left; margin: 30px 30px 15px;  padding: 10px;
    background-color: #301a22; border: 1px solid #fe7d00; border-top-color: #feb500;
    border-radius: 4px; box-shadow: inset 0 1px 1px #000, 0 0 2px #000; position: relative;

    &:before {
      content: ''; display: block; background-image: url('../../img/forum/gloryhordes.png');
      background-size: 100% 22px; background-position: 50% 0; background-repeat: no-repeat;
      position: absolute; top: -22px; left: 0; width: 100%; height: 22px;
    }

    p { margin: 0; }

    & .glory { margin: 0; &:before { display: none; } }
  }

  div.crowmsg { clear: left; margin: 4px 0; border: 1px solid #ddab76; background: #763939; padding: 3px; }

  span.rpauthor {
    background: url('../../img/forum/rp.png') left top no-repeat;
    height: 27px; padding-left: 24px; display: block;
    font-style: italic; font-size: 1.25rem;
    font-weight: bold;
    + .rpText {  margin-top: 0; }
  }

  .rpText {
    clear: left;
    margin: 30px 30px 15px; padding: 3px; background-color: #dddbd8; border: 1px solid #efefef; border-top-color: white; border-radius: 6px;
    box-shadow: 0 0 2px black; position: relative; font-style: italic; line-height: 18px; color: #3b4151;
    &:before {
      content: ""; display: block; background: url('../../img/forum/arrowUp.png') left center no-repeat; position: absolute;
      top: -6px; left: 5px; width: 100%; height: 8px;
    }
  }

  .oracleAnnounce,
  .modAnnounce,
  .adminAnnounce {
    clear: left;
    margin: 0 15px;
    padding: 8px;
    padding-left: 24px;
    background-repeat: no-repeat;
    border-radius: 4px;
    position: relative;
    &.oracleAnnounce {
      background-image: url('../../img/forum/announceBg.png');
      background-position: bottom left;
      background-color: #3b4151;
      border: 1px solid #6B7087;
      box-shadow: 0px 0px 2px black;
    }
    &.modAnnounce {
      padding-top: 20px;
      background-image: url('../../img/forum/modAnnounceBg.png'); 
      background-position: 5px 5px;
      color: white;
      background-color: #5C0000;
      border: 1px solid #470000;
    }

    &.adminAnnounce {
      padding-top: 20px;
      background-color: #553C53;
      border: 1px solid #feb500;
      background-image: url('../../img/forum/adminAnnounceBg.png'); background-position: top left;
      position: relative;
    }
  }

  div.dice-4, div.dice-6, div.dice-8, div.dice-10, div.dice-12, div.dice-20, div.dice-100,
  div.letter-a, div.letter-c, div.letter-v,
  div.rps, div.coin, div.card,
  div.citizen {
    display: inline-block; padding: 1px 3px 1px 19px; border-radius: 2px; background: #3B3249; font-size: 0.8em;
    font-weight: bold; margin: 0 2px; color: white;
  }
  div.dice-4   { background: url("../../img/forum/dice4.png")   left center no-repeat, #3B3249 }
  div.dice-6   { background: url("../../img/forum/dice6.png")   left center no-repeat, #3B3249 }
  div.dice-8   { background: url("../../img/forum/dice8.png")   left center no-repeat, #3B3249 }
  div.dice-10  { background: url("../../img/forum/dice10.png")  left center no-repeat, #3B3249 }
  div.dice-12  { background: url("../../img/forum/dice12.png")  left center no-repeat, #3B3249 }
  div.dice-20  { background: url("../../img/forum/dice20.png")  left center no-repeat, #3B3249 }
  div.dice-100 { background: url("../../img/forum/dice100.png") left center no-repeat, #3B3249 }
  div.letter-a { background: url("../../img/forum/lta.png")     left center no-repeat, #3B3249 }
  div.letter-c { background: url("../../img/forum/ltc.png")     left center no-repeat, #3B3249 }
  div.letter-v { background: url("../../img/forum/ltv.png")     left center no-repeat, #3B3249 }
  div.rps      { background: url("../../img/forum/rps.png")     left center no-repeat, #3B3249 }
  div.coin     { background: url("../../img/forum/coin.png")    left center no-repeat, #3B3249 }
  div.card     { background: url("../../img/forum/card.png")    left center no-repeat, #3B3249 }
  div.citizen  {
    background: url("../../img/icons/small_human.gif") left center no-repeat, #3B3249;
    &[x-a=none]        { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/looser.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=basic]       { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/basic.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=collec]      { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/dig.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=guardian]    { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/shield.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=hunter]      { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/vest.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=tamer]       { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/tamer.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=tech]        { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/tech.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=shaman]      { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/shaman.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=survivalist] { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/book.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=hero]        { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/hero.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
    &[x-a=dead]        { background: url("../../img/icons/small_human.gif") left center no-repeat, url("../../img/professions/death.gif") left 16px center no-repeat #3B3249; padding-left: 35px }
  }
}

.forum-control {
  &>b:first-child { display: block; background: #321914; padding: 4px; }
  font-size: 1.1rem;
  background: #3c2018; box-shadow: 0 0 5px rgba(0,0,0,0.2);  padding: 0 0 5px;
}

.forum-note {
  &>b:first-child { display: block; background: #965c36; padding: 4px; font-variant: small-caps; }
  font-size: 1.1rem; background: #8a5432; box-shadow: 0 0 5px rgba(0,0,0,0.2);
  border: 1px solid #704328;
}

.forum-post {
  &:before, &:after { content: " "; clear: both; display: table; }
  background-color: #4a261e; box-shadow: 0 0 5px rgba(0,0,0,0.2);  padding: 0;
  border: 1px solid #704328; margin-bottom: 10px;

  &>.forum-post-header {
    display: block;
    padding: 4px;
    min-height: 40px;
    &>b { padding: 5px; &>img { vertical-align: revert; } }
    &>i { float: right; font-size: 0.7em; opacity: 0.5; }
    &>div.post-note { font-size: 0.8em; span { opacity: 1.0; } }
    &>.avatar, &>.avatarcrow {
      margin: 0 5px 0 10px; float: left; z-index: 1;
      &:not(.small) { margin-bottom: 10px; }
    }
    &:before, &:after {content: " "; clear: right;}
    &:before { display: table;}
    &:after {display: block; height: 0;}
    background: linear-gradient(to top, #784a2b, 50%, #965c36);
    &.header-variant-crow { background: #773939; }
    &.header-variant-dev { background: #006495; }
  }

  &.forum-post-hidden>.forum-post-header { background: #ff0000; }
  &.forum-post-new { border-left: 2px solid #ffdc00; margin-left: -2px; };
  &.forum-post-selected { border-left: 2px solid #0f0; margin-left: -2px; };
  &.forum-post-marked {
    margin-left: 5px;
    box-shadow: 0 0 3px #ffdc00;
  };

  &>.forum-post-content {
    padding-left: 10px; padding-top: 10px; /*max-height: 750px; overflow: auto;*/
    background-color: #4a261e; border-top: 1px solid #00000066; padding-right: 4px; word-break: break-word;

    &.marked { background-color: #8b7700; }

    .forum-content-format();
  }

  &>.forum-post-footer {
    padding: 5px;
    background-color: #4a261e;
    font-size: 1rem;
    color: rgba(0,0,0,0.2);

    .action-button { padding-left: 2px;  text-decoration: underline; cursor: pointer; line-height: 16px; opacity: 0.3; }
    .action-button:hover { opacity: 1; color: #ffffff; }

    .mod-submenu {
      display: inline-block; position: relative; width: 16px; height: 16px; line-height: 16px;
      vertical-align: middle; background-image: url('../../img/icons/mod.png');
      margin-left: 1rem; cursor: pointer;

      input { display: none; }

      & .mod-submenu-links {
        display: none;  position: absolute; right: 0; bottom: 16px;
        border: 1px solid @myhordes-smalltext; background-color: #4a261e;
        margin: 0; padding: .5rem; outline: 1px solid black; list-style: none;
        li {
          list-style-type: none;
          a { color: @myhordes-smalltext; }
        }
      }
      input:checked + .mod-submenu-links {  display: block; }
    }
  }

}

.forum-editor {
  background: #8a5432; box-shadow: 0 0 5px rgba(0,0,0,0.2);  padding: 0 0 5px;
  border: 1px solid #704328; margin: 10px 0;

  &>.forum-editor-header {
    display: block; background: #804d2f; padding: 4px;
    &>b { padding: 5px; }
    &>i { float: right; font-size: 0.8em; }
  }

  #forum-editor-preview, #forum-editor-preview-global, #forum-editor-preview-answer {
    min-height: 150px; border: 1px solid #704328; background: #49261e; padding: 5px 25px; overflow: auto; outline: 0 solid transparent;
  }
}

.sun-editor-editable, #forum-editor-preview, #forum-editor-preview-global, #forum-editor-preview-answer { .forum-content-format(); }

.forum-button-inline {
  font-size: 1.4rem; background: none; border: 1px solid transparent;
  padding: 2px; color: #f0d79e; font-weight: bold; cursor: pointer; display: inline-flex; justify-content: center;
  align-items: center; height: 20px; vertical-align: middle; margin-bottom: .5em;

  &:hover {
    border-color: #f0d79e; &:not(.forum-button-inline) { box-shadow: 0 0 8px 0 black; }
    background: rgba(240, 215, 158, 0.4); box-shadow: 0 0 2px 0 rgba(0,0,0,0.3);
  }
}

.forum-button, .forum-button-disabled {
  font-size: 1.4rem; line-height: 16px;
  background: url('../../img/background/bg_button.gif') center / cover no-repeat;
  border: 1px solid @myhordes-forum-button-border;
  color: #f0d79e; font-weight: bold; cursor: pointer; display: inline-flex; justify-content: center;
  align-items: center; height: 25px; padding: 7px 7px; vertical-align: middle; border-radius: 2px;
  box-shadow: 1px 1px 1px 0 black; margin-bottom: .5em;
  &:hover { border-color: #f0d79e; box-shadow: 0 0 8px 0 black; }
  img {
    vertical-align: middle;

    & + span {
      margin-left: 1rem;
    }
  }
  &.forum-button-disabled {
    background: @myhordes-forum-disabled-button-color url('../../img/background/bg_button_grey.gif') no-repeat;
    border: 1px solid @myhordes-forum-disabled-button-color; color: #f0d79e;
  }
}

.forum-button-bar {
  margin: 5px 0; padding: 0 5px;

  .forum-button {
    position: relative;
    &>span.forum-button-tooltip {
      display: none;
    }
    &:hover>span.forum-button-tooltip {
      display: block;
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      top: -2.5rem;
      z-index: 1;
      background-color: rgba(0, 0, 0, 0.75);
      padding: 2px 8px;
      border-radius: 8px;
      white-space: nowrap;

      &::after {
        content: '';
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        bottom: -6px;
        width: 0;
        height: 0;
        border-style: solid;
        border-color: rgba(0, 0, 0, 0.75) transparent transparent;
        border-width: 6px 6px 0 6px;
      }
    }
  }
}

.forum-checkbox {
  display: inline-block; padding: 2px 5px; font-size: 1rem; background: @myhordes-forum-button-color;
  border: 1px solid @myhordes-forum-button-border;
  color: white; cursor: pointer;
  & label { font-size: 1rem; }
}

#forum-content,
#forum-editor {

  div.forum-checkbox {
    padding: 3px 20px; margin-right: 2rem; vertical-align: middle;
    margin-bottom: .5em; background-color: #4a261e; border-color: #f0d79e;

    input.forum-checkbox {
      display: none;
      &+label {
        display: inline-block;  width: 80px; cursor: pointer; padding: 0 4px; line-height: 1.4rem; color: #ccc;
        font-size: 1.1rem; text-align: center; border-radius: 2px; margin: 2px;
      }
      &:checked + label { color: #f0d79e; font-size: 1.2rem; background-color: rgba(0, 0, 0, .5); }
    }
    span { line-height: 1.4rem; margin: 2px; }
  }
}

.forum-thread {
  cursor: pointer;
  position: relative;
  background: #4e291f;
  opacity: .75;
  color: #eba475;
  font-style: italic;
  &.selected { 
   background: #46241b; opacity: 1; box-shadow: inset 0px 0px 2px black !important;
    &:before {
      display: block; content: " "; width: 16px; height: 16px; top: 9px; left: -7px;
      background-image: url("../../img/forum/selected.png"); position: absolute;
    }
  }
  img {
    vertical-align: middle;
    margin-right: 1em;
  }
  &.forum-thread-unread {
    font-weight: bold;
    font-style: normal;
    background: #4d281f;
    opacity: .9;
    &:before {
      display: block; content: " "; width: 16px; height: 16px; top: 9px; left: -7px;
      background-image: url("../../img/forum/recent.png"); position: absolute;
    }
  }
}

.adminAnnounces, .oracleAnnounces {
  font-size: 1rem;
  padding: 3px;
  padding-left: 25px;
  color: white;
  box-shadow: 0px 0px 2px black;
  background-repeat: no-repeat;
  background-position: 3px 3px;
  border-radius: 3px;
  &.adminAnnounces {
    background-image: url("../../img/forum/adminAnnounce.png");
    background-color: #553C53;
    border: 1px solid #feb500;
  }

  &.oracleAnnounces {
    background-image: url("../../img/forum/announce.png");
    background-color: #3b4151;
    border: 1px solid #4e5162;
  }

  .announce  {
    font-size: 1.25rem;
  }
  ul {
    list-style-image: url('../../img/forum/view.png');
    padding-left: 20px;
    color: #feb500;
    li {
      text-decoration: underline;
      cursor: pointer;
      &:hover {
        color: white;
      }
    }
  }
}


.forum-preview-container {
  border: 1px solid @myhordes-smalltext; padding: 3px;
  max-height: 300px; overflow: auto;
  &.fix-height { height: 300px; }

  .forum-post-header .post-note { display: none; }
  .forum-post-content p { margin: 2px 0; }
}